> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cadanapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get file details

> Get details and a download URL for a file by its fileId



## OpenAPI

````yaml /openapi/embedded-payments.yaml get /v1/files/{fileId}
openapi: 3.0.0
info:
  description: APIs for interacting with Cadana Global Payments
  version: 1.0.0
  title: Embedded Payments
  termsOfService: https://cadanapay.com/terms-and-conditions
  contact:
    email: api@cadanapay.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.cadanapay.com
    description: Prod Server
  - url: https://dev-api.cadanapay.com
    description: Dev Server
security:
  - Authorization: []
tags:
  - name: Beneficiaries
    description: APIs for managing beneficiaries
  - name: Payouts
    description: APIs for managing payouts
  - name: Balances
    description: APIs for managing account balances
  - name: FX
    description: APIs for managing foreign exchange rates
  - name: Resources
    description: Resource APIs to access and manage foundational data
  - name: Virtual Accounts
    description: APIs for managing virtual accounts
paths:
  /v1/files/{fileId}:
    get:
      tags:
        - Beneficiaries
      summary: Get file details
      description: Get details and a download URL for a file by its fileId
      parameters:
        - name: fileId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The unique identifier for the file
        - $ref: '#/components/parameters/XMultiTenantKey'
      responses:
        '200':
          $ref: '#/components/responses/GetFileDetailsResponse'
        '404':
          $ref: '#/components/responses/NotFoundError'
        5XX:
          $ref: '#/components/responses/InternalError'
      security:
        - Authorization: []
components:
  parameters:
    XMultiTenantKey:
      name: X-MultiTenantKey
      in: header
      required: false
      schema:
        type: string
      description: >-
        Required when using a Platform API token. The tenant key identifying
        which business to operate on.
  responses:
    GetFileDetailsResponse:
      description: Get file details and download URL
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FileDetails'
          examples:
            success:
              summary: Successful file details fetch
              value:
                fileId: 1d3f870c-bc91-4636-a0d4-8e54bccf7d64
                purpose: kyc-id-front
                getUrl: https://url
                expiresIn: 899
                createdAt: 1748478276
                tenantKey: abc123
    NotFoundError:
      description: Requested resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NotFoundError'
    InternalError:
      description: Internal error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalError'
  schemas:
    FileDetails:
      type: object
      required:
        - fileId
        - purpose
        - getUrl
        - expiresIn
        - createdAt
        - tenantKey
      properties:
        fileId:
          type: string
          format: uuid
          example: 1d3f870c-bc91-4636-a0d4-8e54bccf7d64
        purpose:
          type: string
          description: Logical reason for the upload
          enum:
            - kyc-id-front
            - kyc-id-back
            - kyc-selfie
            - kyc-id-selfie
            - kyb-incorporation-document
            - kyb-tax-certificate
            - kyb-address-proof
            - kyc-address-proof
            - reimbursements-proof
            - business-onboarding-document
            - contract
          example: kyc-id-front
        getUrl:
          type: string
          format: uri
          description: Pre-signed HTTPS GET URL (single-use)
        expiresIn:
          type: integer
          description: Seconds until the URL expires
          example: 899
        createdAt:
          type: integer
          description: Unix timestamp when the file was created
          example: 1748478276
        tenantKey:
          type: string
          description: Tenant key associated with the file
          example: cad65668351
    NotFoundError:
      description: Not Found
      allOf:
        - $ref: '#/components/schemas/Error'
      example:
        code: resource_not_found
        message: Requested resource could not be found.
    InternalError:
      description: Internal server error
      allOf:
        - $ref: '#/components/schemas/Error'
      example:
        code: internal_error
        message: An unexpected error occurred. Please try again later.
    Error:
      type: object
      properties:
        code:
          description: A machine parsable error code
          type: string
          enum:
            - invalid_request_body
            - resource_not_found
            - forbidden
            - internal_error
        message:
          description: A human readable message describing the error
          type: string
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: API_SECRET_KEY

````